cURL
curl --request POST \
--url https://api.relay.link/currencies/v1 \
--header 'Content-Type: application/json' \
--data '
{
"defaultList": true,
"chainIds": [
123
],
"term": "<string>",
"address": "<string>",
"currencyId": "<string>",
"symbol": "<string>",
"groupID": "<string>",
"tokens": [
"<string>"
],
"verified": true,
"limit": 2,
"includeAllChains": true,
"useExternalSearch": true,
"depositAddressOnly": true
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
defaultList: true,
chainIds: [123],
term: '<string>',
address: '<string>',
currencyId: '<string>',
symbol: '<string>',
groupID: '<string>',
tokens: ['<string>'],
verified: true,
limit: 2,
includeAllChains: true,
useExternalSearch: true,
depositAddressOnly: true
})
};
fetch('https://api.relay.link/currencies/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.relay.link/currencies/v1"
payload = {
"defaultList": True,
"chainIds": [123],
"term": "<string>",
"address": "<string>",
"currencyId": "<string>",
"symbol": "<string>",
"groupID": "<string>",
"tokens": ["<string>"],
"verified": True,
"limit": 2,
"includeAllChains": True,
"useExternalSearch": True,
"depositAddressOnly": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
[
{
"groupID": "<string>",
"chainId": 123,
"address": "<string>",
"symbol": "<string>",
"name": "<string>",
"decimals": 123,
"vmType": "bvm",
"metadata": {
"logoURI": "<string>",
"verified": true,
"isNative": true
}
}
]
]Deprecated
Get Currencies (v1)
deprecated
Deprecated. Returns currency metadata from a curated list. Use POST /currencies/v2 for new integrations.
POST
/
currencies
/
v1
cURL
curl --request POST \
--url https://api.relay.link/currencies/v1 \
--header 'Content-Type: application/json' \
--data '
{
"defaultList": true,
"chainIds": [
123
],
"term": "<string>",
"address": "<string>",
"currencyId": "<string>",
"symbol": "<string>",
"groupID": "<string>",
"tokens": [
"<string>"
],
"verified": true,
"limit": 2,
"includeAllChains": true,
"useExternalSearch": true,
"depositAddressOnly": true
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
defaultList: true,
chainIds: [123],
term: '<string>',
address: '<string>',
currencyId: '<string>',
symbol: '<string>',
groupID: '<string>',
tokens: ['<string>'],
verified: true,
limit: 2,
includeAllChains: true,
useExternalSearch: true,
depositAddressOnly: true
})
};
fetch('https://api.relay.link/currencies/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.relay.link/currencies/v1"
payload = {
"defaultList": True,
"chainIds": [123],
"term": "<string>",
"address": "<string>",
"currencyId": "<string>",
"symbol": "<string>",
"groupID": "<string>",
"tokens": ["<string>"],
"verified": True,
"limit": 2,
"includeAllChains": True,
"useExternalSearch": True,
"depositAddressOnly": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
[
{
"groupID": "<string>",
"chainId": 123,
"address": "<string>",
"symbol": "<string>",
"name": "<string>",
"decimals": 123,
"vmType": "bvm",
"metadata": {
"logoURI": "<string>",
"verified": true,
"isNative": true
}
}
]
]POST /currencies/v1 is deprecated as of October 30, 2026: its rate limit is reduced in stages from December 14, 2026 until it is retired on January 28, 2027. Use POST /currencies/v2, which returns a flat list of currencies instead of nested groups. See the migration guide for the timeline and how to upgrade.Headers
Optional API key for authentication and higher rate limits.
Body
application/json
Return default currencies
Chain IDs to search for currencies
Search term for currencies
Maximum string length:
256Address of the currency contract
ID to search for a currency group
Filter by currency symbol
Filter by currency group ID
List of token addresses, like: chainId:address
Filter verified currencies
Limit the number of results
Required range:
x >= 1Include all chains for a currency when filtering by chainId and address
Uses 3rd party API's to search for a token, in case relay does not have it indexed
Returns only currencies supported with deposit address bridging
Was this page helpful?